Query parameters
-
extra information of each record on the list
-
maximum count of the record list
-
skip that many record before beginning to return
PUT
/profiles/{profile_id}/pages/{page_id}/records
curl \
--request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/records' \
--header "Content-Type: application/json" \
--header "Authorization: Bearer {access_token}" \
--data '[
{
"id": 4,
"fields": [
{
"element_name": "comments",
"value": "no picture was taken"
}
]
},
{
"id": 7,
"fields": [
{
"element_name": "photo_of_front_of_building",
"extension": "jpg",
"encoding": "url",
"value": "http://cupegraf.com/data_images/wallpapers/6/310051-building.jpg"
},
{
"element_name": "comments",
"value": "under sunlight"
}
]
}
]'
Request examples
Example1
[
{
"id": 4,
"fields": [
{
"element_name": "comments",
"value": "no picture was taken"
}
]
},
{
"id": 7,
"fields": [
{
"element_name": "photo_of_front_of_building",
"extension": "jpg",
"encoding": "url",
"value": "http://cupegraf.com/data_images/wallpapers/6/310051-building.jpg"
},
{
"element_name": "comments",
"value": "under sunlight"
}
]
}
]
{
"fields": [
{
"element_name": "comments",
"value": "no picture was taken"
},
{
"element_name": "notes",
"value": "no notes were taken"
}
]
}
Response examples (200)
[
{
"id": 4
},
{
"id": 7
}
]